/* date = July 26th 2022 10:28 am */

#ifndef COLOR_H
#define COLOR_H

////////////////////////////////
// NOTE(allen): Color Functions

function V3F32 color_rgb_from_hsv(F32 h, F32 s, F32 v);

function U32   color_u32_from_4f32(F32 x0, F32 x1, F32 x2, F32 x3);
function V4F32 color_4f32_from_u32(U32 c);

function F32   color_linear_from_srgb_single(F32 x_srgb);
function F32   color_srgb_from_linear_single(F32 x_lin);

function U32   color_linear_from_srgb_u32(U32 srgb);
function U32   color_srgb_from_linear_u32(U32 lin);


#endif //COLOR_H
